Cyberduck Mountain Duck CLI

#6240 closed defect (fixed)

Permission error for upload to write-only folder

Reported by: juanhf Owned by: dkocher
Priority: normal Milestone: 4.4
Component: core Version: 4.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

When a file is uploaded to a remote folder with write (but not read) permissions the upload shows complete on the transfers window but an error window comes up with an access denied error.

Attachments (2)

cyberduck upload error without read permissions.png (80.5 KB) - added by juanhf on Sep 19, 2011 at 5:41:13 AM.
allow write (but no read).png (9.1 KB) - added by juanhf on Sep 19, 2011 at 5:47:55 AM.
ftp server settings

Download all attachments as: .zip

Change History (8)

Changed on Sep 19, 2011 at 5:47:55 AM by juanhf

ftp server settings

comment:1 Changed on Sep 19, 2011 at 5:50:28 AM by juanhf

the ftp server was configured to allow write-only to the folder in question. this was done in order to ensure that the folder allows for the upload (drop off) of files. we do not want users to download files from this folder or have information disclosure through the names of uploaded files.

the cyberduck application tries to refresh the directory after the upload and thus errors out. not a big deal if you ignore the issue but a non-technical user may be misled to believe the upload did not succeed.

comment:2 Changed on Oct 10, 2012 at 8:01:55 PM by dkocher

  • Milestone set to 4.2.2
  • Status changed from new to assigned
  • Summary changed from Access Denied on Upload to Folder with no Read Permissions to Permission error for upload to write-only folder

comment:3 Changed on Oct 10, 2012 at 8:02:05 PM by dkocher

#6493 closed as duplicate.

comment:4 Changed on Oct 16, 2012 at 5:13:19 PM by dkocher

  • Component changed from ftp-tls to core

comment:5 Changed on Nov 26, 2012 at 6:27:46 PM by dkocher

  • Milestone changed from 4.2.2 to 4.3

comment:6 Changed on Jun 26, 2013 at 4:47:24 PM by dkocher

  • Milestone changed from 4.4 to 4.3.2
  • Resolution set to fixed
  • Status changed from assigned to closed

In r11412.

Note: See TracTickets for help on using tickets.
swiss made software